# class Chef::StreamingCookbookUploader::StreamPart

### Public Class Methods

new(stream, size) click to toggle source

    # File lib/chef/streaming_cookbook_uploader.rb, line 127
    def initialize(stream, size)
      Chef::Log.warn('[DEPRECATED] StreamingCookbookUploader::StreamPart class is deprecated. It will be removed in Chef 12. Please use CookbookSiteStreamingUploader::StreamPart instead.')
      @stream, @size = stream, size
    end

### Public Instance Methods

read(offset, how_much) click to toggle source

read the specified amount from the stream

    # File lib/chef/streaming_cookbook_uploader.rb, line 137
    def read(offset, how_much)
      @stream.read(how_much)
    end

size() click to toggle source

    # File lib/chef/streaming_cookbook_uploader.rb, line 132
    def size
      @size
    end